﻿import request from '/@/utils/request';
enum Api {
  AddWcsTask = '/api/wcsTask/add',
  DeleteWcsTask = '/api/wcsTask/delete',
  UpdateWcsTask = '/api/wcsTask/update',
  PageWcsTask = '/api/wcsTask/page',
  DetailWcsTask = '/api/wcsTask/detail',
  FinshWcsTask = '/api/wcsTask/Finsh',
  UploadWcsTask = '/api/wcsTask/UploadTask',
}

// 增加任务表
export const addWcsTask = (params?: any) =>
	request({
		url: Api.AddWcsTask,
		method: 'post',
		data: params,
	});

// 删除任务表
export const deleteWcsTask = (params?: any) => 
	request({
			url: Api.DeleteWcsTask,
			method: 'post',
			data: params,
		});

// 编辑任务表
export const updateWcsTask = (params?: any) => 
	request({
			url: Api.UpdateWcsTask,
			method: 'post',
			data: params,
		});

// 分页查询任务表
export const pageWcsTask = (params?: any) => 
	request({
			url: Api.PageWcsTask,
			method: 'post',
			data: params,
		});

// 详情任务表
export const detailWcsTask = (id: any) => 
	request({
			url: Api.DetailWcsTask,
			method: 'get',
			data: { id },
		});


// 完成/取消任务
export const finshWcsTask = (params?: any) => 
	request({
			url: Api.FinshWcsTask,
			method: 'post',
			data: params,
		});

// 上传任务
export const uploadWcsTask = (params?: any) => 
	request({
			url: Api.UploadWcsTask,
			method: 'post',
			data: params,
		});